cdac.medinfo.ccd.datatype

## Class PIVLTS

- java.lang.Object
- - cdac.medinfo.ccd.datatype.ANY
  - - cdac.medinfo.ccd.datatype.QTY
    - - cdac.medinfo.ccd.datatype.TS
      - - cdac.medinfo.ccd.datatype.SXCMTS
        - - cdac.medinfo.ccd.datatype.PIVLTS

- All Implemented Interfaces:
    java.io.Serializable

      public class PIVLTS
      extends SXCMTS

  Note: because this type is defined as an extension of SXCM_T, all of the attributes and elements accepted for T are also accepted by this definition. However, they are NOT allowed by the normative description of this type. Unfortunately, we cannot write a general purpose schematron contraints to provide that extra validation, thus applications must be aware that instance (fragments) that pass validation with this might might still not be legal.

  Java class for PIVL_TS complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PIVL_TS">
         <complexContent>
           <extension base="{urn:hl7-org:v3}SXCM_TS">
             <sequence>
               <element name="phase" type="{urn:hl7-org:v3}IVL_TS" minOccurs="0"/>
               <element name="period" type="{urn:hl7-org:v3}PQ" minOccurs="0"/>
             </sequence>
             <attribute name="alignment" type="{urn:hl7-org:v3}CalendarCycle" />
             <attribute name="institutionSpecified" type="{urn:hl7-org:v3}bl" default="false" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PIVLTS()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getAlignment()` Gets the value of the alignment property.
    `PQ` | `getPeriod()` Gets the value of the period property.
    `IVLTS` | `getPhase()` Gets the value of the phase property.
    `boolean` | `isInstitutionSpecified()` Gets the value of the institutionSpecified property.
    `void` | `setInstitutionSpecified(java.lang.Boolean value)` Sets the value of the institutionSpecified property.
    `void` | `setPeriod(PQ value)` Sets the value of the period property.
    `void` | `setPhase(IVLTS value)` Sets the value of the phase property.

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.SXCMTS

      `getOperator, setOperator`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.TS

      `getValue, setValue`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ANY

      `getContent, getNullFlavor, setContent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PIVLTS

          public PIVLTS()

  - ### Method Detail

    - #### getPhase

          public IVLTS getPhase()

      Gets the value of the phase property.
      Returns:
        possible object is `IVLTS`

    - #### setPhase

          public void setPhase(IVLTS value)

      Sets the value of the phase property.
      Parameters:
        `value` - allowed object is `IVLTS`

    - #### getPeriod

          public PQ getPeriod()

      Gets the value of the period property.
      Returns:
        possible object is `PQ`

    - #### setPeriod

          public void setPeriod(PQ value)

      Sets the value of the period property.
      Parameters:
        `value` - allowed object is `PQ`

    - #### getAlignment

          public java.util.List<java.lang.String> getAlignment()

      Gets the value of the alignment property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the alignment property.

      For example, to add a new item, do as follows:

              getAlignment().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### isInstitutionSpecified

          public boolean isInstitutionSpecified()

      Gets the value of the institutionSpecified property.
      Returns:
        possible object is `Boolean`

    - #### setInstitutionSpecified

          public void setInstitutionSpecified(java.lang.Boolean value)

      Sets the value of the institutionSpecified property.
      Parameters:
        `value` - allowed object is `Boolean`